Skip to content
WorkRoad home
REST API

Get the dashboard layout

GET
/settings/dashboard

The dashboard cards shown, in order, and their sizes.

Required scopes: settings:view

Authorization

headerAuthorizationBearer <token>

Response Body

OK

application/json
  1. response
data*
Example Request
curl -X GET 'https://workroad.app/api/v1/settings/dashboard' \  -H 'Authorization: Bearer $WORKROAD_API_KEY'
Example Response
{  "data": {    "widgets": [      {        "id": "reviews",        "size": "single"      },      {        "id": "schedule",        "size": "wide"      },      {        "id": "tasks",        "size": "single"      }    ],    "updatedAt": "2026-02-01T12:00:00.000Z"  }}